    # File lib/chef/daemon.rb, line 122
          def remove_pid_file
            return unless File.exists?(pid_file)

            daemon_pid = pid_from_file
            my_pid = Process.pid
            if daemon_pid != my_pid
              Chef::Log.debug("My pid is #{my_pid}; not removing #{pid_file} which contains #{daemon_pid}")
              return
            end

            FileUtils.rm(pid_file)
            Chef::Log.debug("Removed #{pid_file}")
          end